package com.ruoyi.cxxm.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 任务巡查记录对象 task_check
 *
 * @author ruoyi
 * @date 2024-03-28
 */
@Data
public class TaskCheck {
    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 任务id
     */
    @Excel(name = "任务id")
    private Long taskId;


    /**
     * 上报情况
     */
    @Excel(name = "上报情况")
    private String sbqk;


    /**
     * 整改情况
     */
    @Excel(name = "整改情况")
    private String zgqk;


    /**
     * 巡查级别
     */
    @Excel(name = "巡查级别")
    private Long xcjb;


    /**
     * 巡查人员id
     */
    @Excel(name = "巡查人员id")
    private Long xcryId;


    /**
     * 巡查时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xcsj;
}

